using BarContracts.Attrubites;
using BarDataModels.Models;

namespace BarContracts.ViewModels
{
	public class MessageInfoViewModel : IMessageInfoModel
    {
		[Column(Visible: false)]
		public int Id { get; set; }

		[Column(Visible: false)]
		public string MessageId { get; set; } = string.Empty;

		[Column(Visible: false)]
		public int? ClientId { get; set; }

		[Column(Title: "Отправитель", Width: 150)]
		public string SenderName { get; set; } = string.Empty;

		[Column(Title: "Дата доставки", Width: 120)]
		public DateTime DateDelivery { get; set; }

		[Column(Title: "Тема", Width: 120)]
		public string Subject { get; set; } = string.Empty;

		[Column(Title: "Содержание", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public string Body { get; set; } = string.Empty;
    }
}
